%define major                   3
%define libname                 %mklibname %{name} %{major}
%define libnamedev              %mklibname %{name} -d

Name:           fluidsynth
Version:        2.3.3
Release:        %mkrel 1
Summary:        Realtime, SoundFont-based synthesizer
License:        LGPLv2+
Group:          Sound
URL:            http://www.fluidsynth.org/
Source0:        https://github.com/FluidSynth/fluidsynth/archive/v%{version}/%{name}-%{version}.tar.xz
BuildRequires:  cmake
BuildRequires:  ladspa-devel
BuildRequires:  readline-devel
BuildRequires:  pkgconfig(alsa) >= 0.9.1
BuildRequires:  pkgconfig(dbus-1) >= 1.0.0
BuildRequires:  pkgconfig(glib-2.0) >= 2.6.5
BuildRequires:  pkgconfig(gthread-2.0) >= 2.6.5
BuildRequires:  pkgconfig(libpulse-simple) >= 0.9.8
BuildRequires:  lib64portaudio-devel
BuildRequires:  lib64jack-devel
BuildRequires:  lib64sndfile-devel

%description
FluidSynth is a real-time software synthesizer based on the SoundFont 2
specifications. It is a "software synthesizer". FluidSynth can read MIDI
events from the MIDI input device and render them to the audio device. It
can also play MIDI files.

%package -n	%{libname}
Summary:        Dynamic libraries from %{name}
Group:          System/Libraries
Requires:       %{name}
Obsoletes: swami
Obsoletes: swami-devel
#Obsoletes: lib64fluidsynth1

%description -n	%{libname}
Dynamic libraries from %{name}.

%package -n	%{libnamedev}
Summary:         Header files and libraries from %{name}
Group:           Development/Libraries
Requires:        %{libname} = %{version}-%{release}
Provides:        lib%{name}-devel = %{version}-%{release}
Provides:        %{name}-devel = %{version}-%{release}
Conflicts:       lib64fluidsynth1-devel

%description -n	 %{libnamedev}
Libraries and includes files for developing programs based on %{name}.

%prep
%setup -q

%build
%cmake \
       -DLIB_SUFFIX='' \
       -Denable-lash=0 \
       -Denable-portaudio=1
%make_build

%install
%make_install -C build

%files
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1.*

%files -n %{libname}
%{_libdir}/lib%{name}.so.%{major}
%{_libdir}/lib%{name}.so.%{major}.*

%files -n %{libnamedev}
%{_includedir}/*.h
%{_includedir}/%{name}/
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/cmake

%post -n %{libname}
/sbin/ldconfig

%postun -n %{libname}
/sbin/ldconfig


%changelog
* Sun Sep 03 2023 tex - 2.3.3-1pclos2023
- new version

* Sun Jan 15 2023 tex - 2.3.1-1pclos2023
- new version

* Tue Nov 23 2021 tex - 2.2.4-1pclos2021
- new version

* Wed Oct 27 2021 tex - 2.2.3-3pclos2021
-  dont obsoletes: lib64fluidsynth1 for dead ass doemu

* Fri Oct 15 2021 tex - 2.2.3-2pclos2021
- add obsoletes

* Tue Oct 12 2021 onkelho <oh.quait at gmail.com> - 2.2.3-1pclos2021
- last release

* Thu Dec 31 2020 tex - 2.1.5-2pclos2021
- rebuild against updates

* Thu Oct 22 2020 tex - 2.1.5-1pclos2020
- new version

* Sun Feb 23 2020 tex - 2.1.1-1pclos2020
- new version

* Sat Feb 01 2020 tex - 2.1.0-1pclos2020
- new version

* Thu Oct 31 2019 tex - 2.0.8-1pclos2019
- new version

* Sat Oct 12 2019 tex - 2.0.6-2pclos2019
- rebuild against updates

* Sat Sep 13 2019 tex - 2.0.6-1pclos2019
- new version: 2.0.6
